Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.net
Class ConnectedSocketTransportProvider

    java.lang.Object
      com.sshtools.j2ssh.net.ConnectedSocketTransportProvider

All Implemented Interfaces:
  TransportProvider

public class ConnectedSocketTransportProvider
extends java.lang.Object
implements TransportProvider

DOCUMENT ME!

Constructor Summary
`ConnectedSocketTransportProvider(java.net.Socket socket)` Creates a new ConnectedSocketTransportProvider object.

Method Summary
`void` | `close()` DOCUMENT ME!
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()` DOCUMENT ME!
`java.lang.String` | `getProviderDetail()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectedSocketTransportProvider

    public ConnectedSocketTransportProvider(java.net.Socket socket)

  Creates a new ConnectedSocketTransportProvider object.

Parameters:
  `socket` - DOCUMENT ME!

Method Detail

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `close` in interface `TransportProvider`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `TransportProvider`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `getOutputStream` in interface `TransportProvider`
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getProviderDetail

    public java.lang.String getProviderDetail()

  DOCUMENT ME!

  Specified by:
    `getProviderDetail` in interface `TransportProvider`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD